I'm trying to create this simple routine that will set Pline Width according to the Dimscale. This part of the lisp routine works but what I would like to add is to set my osnaps to "endpoint, midpoint,nearest,quadrant,center" draw my pline and then turn them off the snaps. I'm new to writing these routines so this is probally something very easy to fix but I've been unable to get this routine to work correctly. Any Suggestions? (defun c:pl (/ OS) (setvar "plinewid" (* 0.015625 (if (= (getvar "dimscale") 0) 1 (getvar "dimscale")))) (setq os (getvar "osmode")) (setvar "osmode" 535) (command "pline") (setvar "osmode" os) (princ) )